function [ctf] = ctf_folder(folder,ctf);

% ctf_folder - get and check CTF .ds folder name
%
% [ctf] = ctf_folder( [folder], [ctf] );
% 
% folder:  The .ds directory of the dataset.  If not given, a graphical
%          prompt for the folder appears.
%
% eg,
%     ctf = ctf_folder;
% 
% ctf.folder is returned.
%
%      <>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> %
%      <                                                      > %  
%      <                    DISCLAIMER:                       > %
%      <                                                      > %
%      < THIS PROGRAM IS INTENDED FOR RESEARCH PURPOSES ONLY. > %
%      < THIS PROGRAM IS IN NO WAY INTENDED FOR CLINICAL OR   > %
%      <                    OFFICIAL USE.                     > %
%      <                                                      > %
%      <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<> %
%


% $Revision: 1.1 $ $Date: 2004/01/27 00:05:04 $

% Licence:  GNU GPL, no express or implied warranties
% Modified: 01/2004, Darren.Weber_at_radiology.ucsf.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


if ~exist('folder','var'), folder = getfolder; end
if isempty(folder),        folder = getfolder; end
if exist(folder) ~= 7,
  fprintf('...folder is not a directory\n');
  folder = getfolder;
end
ctf.folder = folder;
cd(ctf.folder);
cd ..
ctf.folderPath = pwd;

return


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function folder = getfolder,

folder = uigetdir(pwd,'locate CTF .ds folder');
if ~folder,
  error('no folder specified');
end

return